- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_component_wise: Component wise
GTX Extensions (Experimental)

## Functions
template<typename genType >
genType::value_type | compAdd (genType const &v)
template<typename genType >
genType::value_type | compMax (genType const &v)
template<typename genType >
genType::value_type | compMin (genType const &v)
template<typename genType >
genType::value_type | compMul (genType const &v)

## Detailed Description

Operations between components of a type.

<glm/gtx/component_wise.hpp> need to be included to use these functionalities.

## Function Documentation

genType::value_type glm::compAdd | ( | genType const & | v | ) |

Add all vector components together.

See also:
  GLM_GTX_component_wise: Component wise

genType::value_type glm::compMax | ( | genType const & | v | ) |

Find the maximum value between single vector components.

See also:
  GLM_GTX_component_wise: Component wise

genType::value_type glm::compMin | ( | genType const & | v | ) |

Find the minimum value between single vector components.

See also:
  GLM_GTX_component_wise: Component wise

genType::value_type glm::compMul | ( | genType const & | v | ) |

Multiply all vector components together.

See also:
  GLM_GTX_component_wise: Component wise